Bug 1277915 - (CVE-2015-8075) CVE-2015-8075 libsndfile: Out of bounds memory access in psf_strlcpy_crlf
CVE-2015-8075 libsndfile: Out of bounds memory access in psf_strlcpy_crlf
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150710,reported=2...
: Security
Depends On: 1277916 1277917
Blocks: 1277910
  Show dependency treegraph
 
Reported: 2015-11-04 05:38 EST by Adam Mariš
Modified: 2016-02-16 20:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 06:34:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-04 05:38:13 EST
An out-of-bounds memory read in function psf_strlcpy_crlf when running test suite of libsndfile with address sanitizer enabled was found.

Upstream bug:

http://permalink.gmane.org/gmane.comp.audio.libsndfile.devel/681

CVE assignment:

http://seclists.org/oss-sec/2015/q4/217
Comment 1 Adam Mariš 2015-11-04 05:38:40 EST
Created libsndfile tracking bugs for this issue:

Affects: fedora-all [bug 1277916]
Affects: epel-5 [bug 1277917]
Comment 2 Stefan Cornelius 2015-11-06 06:34:29 EST
I think this is a problem in the test, not the function. Others came to the same conclusion:
http://seclists.org/oss-sec/2015/q4/226

This does not mean that the psf_strlcpy_crlf function is secure (because I didn't audit it), but this particular case of an error that was reported does not indicate that there's a problem in the function itself.
Comment 3 Adam Mariš 2015-11-06 09:06:54 EST
CVE was rejected.
Comment 4 Fedora Update System 2015-12-20 01:52:16 EST
libsndfile-1.0.25-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-01-21 22:19:18 EST
libsndfile-1.0.25-18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-02-16 20:22:42 EST
libsndfile-1.0.17-8.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.